Subject: Re: [tcpinc] Resumption safety (was "Eric Rescorla's Discuss on draft-ietf-tcpinc-tcpcrypt-09: (with DISCUSS and COMMENT)")
From: Tero Kivinen <[email-masked]>
To: "Black\, David" <[email-masked]>
Cc: Kyle Rose <[email-masked]>, tcpinc <[email-masked]>, Eric Rescorla <[email-masked]>, "Mirja Kuehlewind \(IETF\)" <[email-masked]>
Date: Fri, 1 Dec 2017 00:01:23 +0200
List-Id: "Working group mailing list for TCP Increased Security \(tcpinc\)" <tcpinc.ietf.org>

Black, David writes:
> 2)      Copying a running virtual machine, including memory, which creates a
> copy of the session secrets.  Such copies are routinely stored on non-volatile
> storage, from which the VM can be resumed.

I think this kind of behavior is so common, (and is getting even more
common in future) that the protocol needs to be resistant to this. I
mean, the person doing the cloning does not have any knowledge about
the tcpcrypt used in the machine, and quite often this is something
that is even impossible to detect inside the machine, so
implementation cannot do anything for this. As this will cause
catastrophic failure for the security it is something we should deal
with even when it will cost us something.

Note, that attacker might be able to trigger this also on purpose, but
as those would require active attacks, they are mostly outside the
scope of what tcpcrypt is trying to protect.

But I still think accidental cases (i.e., where old VM is restored
even when no real attack), are common enough that we should cope with
them. So I think we should add protection against accidental reuse.
-- 
[email-masked]